# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2018-09-03 20:34
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('auto', '0022_avito'),
    ]

    operations = [
        migrations.CreateModel(
            name='LkMarkAuto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, default=None, max_length=20, null=True, verbose_name='Марка Лк')),
            ],
            options={
                'verbose_name': 'Марка Лк',
                'verbose_name_plural': 'Марки Лк',
                'ordering': ['name'],
            },
        ),
        migrations.CreateModel(
            name='LkModelAuto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, db_index=True, default=None, max_length=50, null=True, verbose_name='Модель Лк')),
                ('mark_auto', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.LkMarkAuto', verbose_name='Марка Лк')),
            ],
            options={
                'verbose_name': 'Модель Лк',
                'verbose_name_plural': 'Модели Лк',
                'ordering': ['name'],
            },
        ),
        migrations.AddField(
            model_name='auto',
            name='lk_mark_auto',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.LkMarkAuto', verbose_name='Марка Лк'),
        ),
        migrations.AddField(
            model_name='auto',
            name='lk_model_auto',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='auto.LkModelAuto', verbose_name='Модель Лк'),
        ),
    ]
